# -*-makefile-*-
#
# Copyright (C) 2011 by Phytec
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

PACKAGES-$(PTXCONF_WL1271) += wl1271

WL1271_VERSION	:= 1.1

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(STATEDIR)/wl1271.get:
#	@$(call targetinfo, $@)
#	@$(call touch, $@)

#$(WL1271_SOURCE):
#	@$(call targetinfo, $@)
#	@$(call get, WL1271)


# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

$(STATEDIR)/wl1271.extract:
#	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/wl1271.targetinstall:
	@$(call targetinfo)
	@$(call install_init, wl1271)
	@$(call install_fixup,wl1271,PRIORITY,optional)
	@$(call install_fixup,wl1271,SECTION,base)
	@$(call install_fixup,wl1271,AUTHOR,"Steve Schefter <steve@scheftech.com>")
	@$(call install_fixup,wl1271,DESCRIPTION,missing)

	@$(call install_copy, wl1271, 0, 0, 0644, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/wpa_supplicant.conf, \
		/etc/wpa_supplicant.conf)

	@$(call install_alternative_tree, wl1271, 0, 0, /usr/lib/firmware/ti-connectivity)

	@$(call install_finish,wl1271)
	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/wl1271.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, WL1271FIRMWARE)

# vim: syntax=make
