/*
 * Copyright (C) 2012 Michael Olbrich <m.olbrich@pengutonix.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 */

#include "moplugin.h"
#include "moapp.h"
#include "moapplist.h"
#include "cpuusage.h"
#include "load.h"

#include <QtDeclarative/qdeclarative.h>

void MolyPlugin::registerTypes(const char *uri)
{
	qmlRegisterType<MoAppList>(uri, 1, 0, "AppList");
	qmlRegisterType<MoApp>(uri, 1, 0, "App");
	qmlRegisterType<CpuUsage>(uri, 1, 0, "CpuUsage");
	qmlRegisterType<Load>(uri, 1, 0, "Load");
}

Q_EXPORT_PLUGIN2(moly, MolyPlugin)


